function formatPrice(price, lang) {
    if (price.toString().indexOf('.') === -1) {
        price = price + '.00';
    } else {
        price = parseFloat(price).toFixed(2).toString();
    }
    if (lang === 'fr') {
        //Remove comma used to separate three numerals
        price = price.replace(',', '');
        return price + '$ CA';
    } else {
        return 'CAN $' + price;
    }
}

module.exports.formatPrice = formatPrice;
