import ProductItem from './ProductItem';

export default {
    title: 'Storefront product listing item.',
    component: ProductItem,
};

let data = {
    intellisuggestData: 'eJwzMjMtzDBmYGBILErWNTI0NzBnMARCIwMgkV6UmQIAbQQGqQ',
    intellisuggestSignature: '034bf7e5a3e9d5f9286fd7bf557dfe2a598cc2e6864ce9e0282c664d01203510',
    is_exclusivity: '0',
    color_thumbnails2:
        '[{&quot;label&quot;:&quot;Neptune&quot;,&quot;thumbUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_icon.jpg?v=1578618208&quot;,&quot;standardUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_compact.jpg?v=1578618208&quot;},{&quot;label&quot;:&quot;Black&quot;,&quot;thumbUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7EBlack_940f2c7e-1e38-4446-98f1-1bfe5024cb3a_icon.jpg?v=1578618208&quot;,&quot;standardUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7EBlack_940f2c7e-1e38-4446-98f1-1bfe5024cb3a_compact.jpg?v=1578618208&quot;}]',
    short_description: "Macai Jacket - Men's",
    color_thumbnails:
        '[{&quot;label&quot;:&quot;Neptune&quot;,&quot;thumbUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_icon.jpg?v=1578618208&quot;,&quot;standardUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_compact.jpg?v=1578618208&quot;},{&quot;label&quot;:&quot;Black&quot;,&quot;thumbUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7EBlack_940f2c7e-1e38-4446-98f1-1bfe5024cb3a_icon.jpg?v=1578618208&quot;,&quot;standardUrl&quot;:&quot;https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7EBlack_940f2c7e-1e38-4446-98f1-1bfe5024cb3a_compact.jpg?v=1578618208&quot;}]',
    yotpo_score_reviews: '0',
    gender: 'Male',
    is_canadian: '0',
    activity: ['Ski &amp; Snowboard'],
    color: ['Neptune', 'Black'],
    retina_thumbnail_url:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_784x.jpg?v=1578618208',
    ss_reviews_product_score: '0',
    desktop_thumbnail_url:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_342x.jpg?v=1578618208',
    cached_thumbnail_url:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_icon.jpg?v=1578618208',
    quantity_sold: '166',
    regular_price: '1099.99',
    activity_ids: ['1290'],
    revenue: '182598.34',
    news_from_date: '2020-11-15 00:00:00',
    yotpo_total_reviews: '0',
    is_new: '0',
    name_duplicate: "Macai Jacket - Men's",
    age_group: 'Adult',
    color_swatch: 'Neptune|Black',
    handle: 'arcteryx-mens-macai-jacket-llll-arc-21707',
    quantity_left: '66',
    kits: ['KIT_ARC_Men_FW19_Ski_Snowboard_23'],
    ss_cache_busted_image:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_compact.1611227026793.jpg?v=1578618208',
    category_hierarchy: [
        'Men',
        'Men/Jackets &amp; Vests',
        'Men/Jackets &amp; Vests/Down Coats &amp; Vests',
        'Men/Jackets &amp; Vests/Insulated Coats &amp; Vests',
        'Men/Jackets &amp; Vests/Ski &amp; Snowboard Coats',
        'Men/Jackets &amp; Vests/Winter Coats',
    ],
    category_hierarchy_ids: ['1443', '1481', '1708', '1709', '1715', '1721'],
    cached_small_image_url:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_compact.jpg?v=1578618208',
    ss_yotpo: '1490540560474',
    product_type: 'Jacket',
    ss_rating_sort: '0',
    mobile_thumbnail_url:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_170x.jpg?v=1578618208',
    product_style: 'arc-21707',
    discount_percent: '0',
    discount_percent_exact: '0',
    ss_manufacturer: "Arc'teryx",
    uid: '1490540560474',
    thumbnailImageUrl:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61_compact.jpg?v=1578618208',
    price: '1099.99',
    imageUrl:
        'https://cdn.shopify.com/s/files/1/1199/9020/products/ARC-21707_7ENeptune_657fe227-47fa-4e57-adb2-783740fe0a61.jpg?v=1578618208',
    name: "Macai Jacket - Men's",
    product_type_unigram: 'jacket',
    description:
        "&lt;h2&gt;The Warmest Ski Jacket.&lt;/h2&gt;&lt;p&gt;The men’s MACAI by Arc'teryx is a ski industry legend and the warmest down-insulated jacket in the Whiteline Collection. It features a supple yet entirely waterproof N40p-X 3L GORE-TEX shell, which is windproof yet highly breathable. 750 fill European Goose Down pads the core and arms, providing immensely breathable warmth. Synthetic Coreloft insulation is strategically placed in areas prone to moisture accumulation. Down Contour Construction places compact Coreloft fill within the GORE-TEX shell, sealing out cold air while you're snowboarding or traversing the frigid sidewalks of Whistler. The removable, insulated DropHood fits over your helmets and rotates with your head.&lt;/p&gt;&lt;ul&gt;\n&lt;li&gt;750 fill European Goose Down&lt;/li&gt;\n&lt;li&gt;Waterproof, supple 3L GORE-TEX&lt;/li&gt;\n&lt;li&gt;Coreloft 100g &amp;amp; 60g synthetic fills&lt;/li&gt;\n&lt;li&gt;Down Composite Mapping&lt;/li&gt;\n&lt;li&gt;Helmet-compatible DropHood&lt;/li&gt;\n&lt;li&gt;Taped seams&lt;/li&gt;\n&lt;li&gt;WaterTight zippers&lt;/li&gt;\n&lt;li&gt;PowderGuard/mesh-backed vents&lt;/li&gt;\n&lt;li&gt;Insulated Powder skirt&lt;/li&gt;\n&lt;li&gt;WaterTight exterior pocket zips&lt;/li&gt;\n&lt;/ul&gt;&lt;h2&gt;Specifications&lt;/h2&gt;&lt;table&gt;&lt;tbody&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Temperature Rating&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;&lt;li&gt;-10 °C / -25 °C&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Materials&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;\n&lt;li&gt;N40p-X GORE-TEX fabric with 3L tricot technology&lt;/li&gt;\n&lt;li&gt;GORE-TEX®&lt;/li&gt;\n&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Insulation&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;\n&lt;li&gt;Coreloft™ 100 (100 g/m² ) insulation&lt;/li&gt;\n&lt;li&gt;Coreloft™ Compact (60 g/m² ) insulation&lt;/li&gt;\n&lt;li&gt;750 fill European goose down (90g - M)&lt;/li&gt;\n&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Weather Resistance&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;\n&lt;li&gt;Waterproof&lt;/li&gt;\n&lt;li&gt;Breathable&lt;/li&gt;\n&lt;li&gt;Durable&lt;/li&gt;\n&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Hood&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;&lt;li&gt;Yes, removeable, insulated, helmet compatible DropHood™&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Pockets&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;\n&lt;li&gt;Internal chest pocket with laminated zip&lt;/li&gt;\n&lt;li&gt;Two hand pockets with zippers&lt;/li&gt;\n&lt;li&gt;Internal mesh dump pocket&lt;/li&gt;\n&lt;li&gt;Left hand sleeve pocket for RFID ski pass&lt;/li&gt;\n&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Fit&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;&lt;li&gt;Regular &lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Length&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;\n&lt;li&gt;Hips &lt;/li&gt;\n&lt;li&gt;Centre back length : 76 cm / 29.75 in&lt;/li&gt;\n&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Weight&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;&lt;li&gt;1 kg / 2 lb 4 oz&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;tr&gt;\n&lt;td&gt;&lt;p&gt;&lt;strong&gt;Recommended Use&lt;/strong&gt;&lt;/p&gt;&lt;/td&gt;\n&lt;td&gt;&lt;ul&gt;&lt;li&gt;Winter activities, Light outdoor winter sports, Ski and snowboard&lt;/li&gt;&lt;/ul&gt;&lt;/td&gt;\n&lt;/tr&gt;\n&lt;/tbody&gt;&lt;/table&gt;",
    id: '0b4d15643ea15b05690117063bfc13fa',
    sku: 'arc-21707',
    brand: "Arc'teryx",
    url: '/products/arcteryx-mens-macai-jacket-llll-arc-21707',
};

const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { ProductItem },
    template: `<product-item :product="product" :lang="lang" :site="site" :index="index" />`,
});

export const AltiEn = Template.bind({});
AltiEn.args = {
    product: data,
    index: 0,
    lang: 'en',
    site: 'as',
};

export const AltiEnShopify = Template.bind({});
AltiEnShopify.args = {
    product: data,
    index: 0,
    lang: 'en',
    site: 'as',
};

export const TLHFrench = Template.bind({});
TLHFrench.args = {
    product: data,
    index: 0,
    lang: 'fr',
    site: 'tlh',
};
